# PySNMP SMI module. Autogenerated from smidump -f python IANATn3270eTC-MIB
# by libsmi2pysnmp-0.0.8-alpha at Tue Feb  5 21:05:09 2008,
# Python version (2, 4, 4, 'final', 0)

# Imported just in case new ASN.1 types would be created
from pyasn1.type import constraint, namedval

# Imports

( Integer, ObjectIdentifier, OctetString, ) = mibBuilder.importSymbols("ASN1", "Integer", "ObjectIdentifier", "OctetString")
( Bits, Integer32, ModuleIdentity, MibIdentifier, TimeTicks, mib_2, ) = mibBuilder.importSymbols("SNMPv2-SMI", "Bits", "Integer32", "ModuleIdentity", "MibIdentifier", "TimeTicks", "mib-2")
( TextualConvention, ) = mibBuilder.importSymbols("SNMPv2-TC", "TextualConvention")

# Types

class IANATn3270DeviceType(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(2,100,10,9,3,1,7,5,8,6,4,)
    namedValues = namedval.NamedValues(("ibm3278d2", 1), ("ibm3287d1", 10), ("unknown", 100), ("ibm3278d2E", 2), ("ibm3278d3", 3), ("ibm3278d3E", 4), ("ibm3278d4", 5), ("ibm3278d4E", 6), ("ibm3278d5", 7), ("ibm3278d5E", 8), ("ibmDynamic", 9), )
    pass

class IANATn3270Functions(Bits):
    namedValues = namedval.NamedValues(("transmitBinary", 0), ("timemark", 1), ("endOfRecord", 2), ("terminalType", 3), ("tn3270Regime", 4), ("scsCtlCodes", 5), ("dataStreamCtl", 6), ("responses", 7), ("bindImage", 8), ("sysreq", 9), )
    pass

class IANATn3270ResourceType(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(3,2,1,4,)
    namedValues = namedval.NamedValues(("other", 1), ("terminal", 2), ("printer", 3), ("terminalOrPrinter", 4), )
    pass

class IANATn3270eAddrType(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(0,1,2,)
    namedValues = namedval.NamedValues(("unknown", 0), ("ipv4", 1), ("ipv6", 2), )
    pass

class IANATn3270eAddress(OctetString):
    subtypeSpec = OctetString.subtypeSpec+constraint.ValueSizeConstraint(0,255)
    pass

class IANATn3270eClientType(Integer):
    subtypeSpec = Integer.subtypeSpec+constraint.SingleValueConstraint(1,7,8,10,5,9,2,3,4,6,)
    namedValues = namedval.NamedValues(("none", 1), ("x509dn", 10), ("other", 2), ("ipv4", 3), ("ipv6", 4), ("domainName", 5), ("truncDomainName", 6), ("string", 7), ("certificate", 8), ("userId", 9), )
    pass

class IANATn3270eLogData(OctetString):
    subtypeSpec = OctetString.subtypeSpec+constraint.ConstraintsUnion(constraint.ValueSizeConstraint(0,0),constraint.ValueSizeConstraint(6,2048),)
    pass


# Objects

ianaTn3270eTcMib = ModuleIdentity((1, 3, 6, 1, 2, 1, 61)).setRevisions(("2000-05-10 00:00","1999-09-01 10:00",))
if mibBuilder.loadTexts: ianaTn3270eTcMib.setOrganization("IANA")
if mibBuilder.loadTexts: ianaTn3270eTcMib.setContactInfo("Internet Assigned Numbers Authority\n\nPostal: ICANN\n        4676 Admiralty Way, Suite 330\n        Marina del Rey, CA 90292\n\nTel:    +1  310 823 9358 x20\nE-Mail: iana&iana.org")
if mibBuilder.loadTexts: ianaTn3270eTcMib.setDescription("This module defines a set of textual conventions\nfor use by the TN3270E-MIB and the TN3270E-RT-MIB.\n\nAny additions or changes to the contents of this\nMIB module must first be discussed on the tn3270e\nworking group list at: tn3270e&list.nih.gov\nand approved by one of the following TN3270E\nworking group contacts:\n\n    Ed Bailey (co-chair) - elbailey&us.ibm.com\n    Michael Boe (co-chair) - mboe&cisco.com\n    Ken White - kennethw&vnet.ibm.com\n    Robert Moore - remoore&us.ibm.com\n\nThe above list of contacts can be altered with\nthe approval of the two co-chairs.\n\nThe Textual Conventions defined within this MIB have\nno security issues associated with them unless\nexplicitly stated in their corresponding\nDESCRIPTION clause.")

# Augmentions

# Exports

# Module identity
mibBuilder.exportSymbols("IANATn3270eTC-MIB", PYSNMP_MODULE_ID=ianaTn3270eTcMib)

# Types
mibBuilder.exportSymbols("IANATn3270eTC-MIB", IANATn3270DeviceType=IANATn3270DeviceType, IANATn3270Functions=IANATn3270Functions, IANATn3270ResourceType=IANATn3270ResourceType, IANATn3270eAddrType=IANATn3270eAddrType, IANATn3270eAddress=IANATn3270eAddress, IANATn3270eClientType=IANATn3270eClientType, IANATn3270eLogData=IANATn3270eLogData)

# Objects
mibBuilder.exportSymbols("IANATn3270eTC-MIB", ianaTn3270eTcMib=ianaTn3270eTcMib)

